## ros-indigo-laser-odometry 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_odometry)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-laser-odometry (0.1.0-0trusty) trusty; urgency=high



 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Thu, 25 May 2017 22:00:00 -0000

ros-indigo-laser-odometry (0.0.2-0trusty) trusty; urgency=high



 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Mon, 22 May 2017 22:00:00 -0000

ros-indigo-laser-odometry (0.0.1-0trusty) trusty; urgency=high

  * added metapkg, renamed laser_odometry to laser_odometry_node
  * node add missing global frame for origin init
  * replace kword world->fixed
  * node doc
  * Fix installation rules
  * fix origin frame retrieval
  * fix topic in and default world = map
  * reduce default getTf duration
  * node default pub odom & not tf & topic_in
  * laser_odometry add simple launch file and update conf file
  * fix setLaserFromTf
  * add node default yaml
  * node pub kframe
  * clean laser_odom launch
  * laser_odometry install rule
  * node add timer on process()
  * add cheap throttling
  * made publish template
  * node :lipstick:
  * use proper singleton scheme
  * rename instantiater
  * protect a bunch of functions
  * throw if no laser odometry type specified
  * setLaserFromTf with optional stamp
  * add possibility of a not fixed sensor<->base frame
  * fix node launch
  * hacky easy sub to either laser_scan or pcl2 & fix include
  * add laser_odometry to hold the main node
  * Contributors: Jeremie Deray, Procópio Stein, artivis, davidfernandez

 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Mon, 22 May 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-laser-odometry
Section: misc
Priority: extra
Maintainer: Jeremie Deray <jeremie.deray@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), python, ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-laser-odometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ros-indigo-laser-odometry-core, ros-indigo-laser-odometry-node
Description: The Laser Odometry metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
#export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@ -v --buildsystem=cmake --with python2

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-laser-odometry//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install

override_dh_python2:
	dh_python2 -v -p ros-indigo-laser-odometry /opt/ros/indigo
